/* Console display routines */

#ifndef BARON_DISPLAY1_H
#define BARON_DISPLAY1_H

enum display_fmt_enum { df_short, df_long };
typedef enum display_fmt_enum display_fmt;

/* Functions to print out Thing data in a human-friendly (and relatively
   comapct) format.  display_thing sends output to stdout, fdisplay_thing
   writes to an arbitrary filespec.  Both return the number of Things
   displayed. */
extern int display_thing(const thing_data *thing, const display_fmt fmt);
extern int fdisplay_thing(FILE *f, const thing_data *thing,
                          const display_fmt fmt);
extern int display_everything(const display_fmt fmt);
extern int fdisplay_everything(FILE *f, const display_fmt fmt);

#endif
