#include <stdio.h>
#include <stdlib.h>
#include "core.h"
#include "file.h"
#include "display.h"
#include "dslib.h"

int main(void) {
  int count;
  FILE *infile;
  thing_data *territory;

  char instr[16];

  infile = fopen("hamlin", "r");
  if (!infile) {
    printf("Failed to open data file!");
    return 1;
  }

  randomize();

  count = read_everything(infile);
  printf("Read %d Things\n", count);

/*
  count = write_everything(stdout);
  printf("Wrote %d Things\n", count);
  printf("Short format:\n");
  display_everything(df_short);
  printf("\n\n");
  printf("Long format:\n");
  display_everything(df_long);
*/

  while (instr[0] != 'q') {
    territory = find_thing(tt_territory, "");
    while (territory) {
      /*
      printf("Processing territory %s:\n", territory->data.territory.name);
      write_thing(stdout, territory);
      */

      /*
      printf("\n\nDoing consumption...\n");
      */
      consume(&territory->data.territory);

      /*
      printf("\n\nDoing production...\n");
      */
      produce(&territory->data.territory);

      /*
      printf("\n\nDoing decay...\n");
      */
      decay(&territory->data.territory);

      /*
      display_thing(territory, df_short);
      */
      display_thing(territory, df_long);

      territory = next_thing(territory);
    }

    fgets(instr, sizeof(instr), stdin);
  }

  return 0;
}
