/* Barons strategic combat/economic/production engine core definitions    */

#ifndef BARON_PRODUCE_H
#define BARON_PRODUCE_H

/* Finally!  The good stuff!  These functions cover the production cycle
   which takes place each turn in each territory. */

/* Overseer which just calls all the others */
extern void process_turn(territory_data* territory);

/* Feed the people!  (And get Might, Labor, and Knowledge out of them...)  */
extern void consume(territory_data* territory);

/* Make them work!  Turn the Labor into something useful! */
extern void produce(territory_data* territory);

/* Watch the surplus disappear!  (Hopefully turning into something useful in
   the process...) */
extern void decay(territory_data* territory);

#endif
